using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SchnittstelleImporter.XML2006
{
    public class OptischeInspektion
    {
        DateTime inspektionstime;
        Rohrleitung rohrleitung;

        public DateTime Inspektionstime
        {
            set
            {
                inspektionstime = value;
            }
            get
            {
                return inspektionstime;
            }
        }
        public string Inspektionsdatum
        {
            get
            {
                return inspektionstime.ToShortDateString();
            }
            /*set
            {
                throw new NotImplementedException();
                //inspektionsdatum = value;
            }*/
        }
        public string Inspektionszeit
        {
            get
            {
                return inspektionstime.ToShortTimeString();
            }
        }
        public Rohrleitung Rohrleitung
        {
            get
            {
                return rohrleitung;
            }
            set
            {
                rohrleitung = value;
            }
        }
    }
}
